package com.inkasso.factoring.salesManagement.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.factoring.common.entity.BaseEntity;
import com.inkasso.factoring.common.util.excel.ExcelCell;

/**
 * <p>
 * 销售合同-货物信息表
 * </p>
 *
 * @author yafan
 * @since 2023-11-28
 */
@TableName("c_sales_contract_goods_info")
public class CSalesContractGoodsInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 销售合同基本信息表Id
     */
    @TableField("c_sales_contract_basic_info_id")
    private Long cSalesContractBasicInfoId;

    /**
     * 货物名称
     */
    @TableField("goods_name")
    @ExcelCell(index = 0)
    private String goodsName;

    /**
     * 厂家
     */
    @TableField("goods_factory")
    @ExcelCell(index = 1)
    private String goodsFactory;

    /**
     * 型号
     */
    @TableField("model_number")
    @ExcelCell(index = 2)
    private String modelNumber;

    /**
     * 单位
     */
    @TableField("units")
    @ExcelCell(index = 3)
    private String units;

    /**
     * 数量
     */
    @TableField("quantity")
    @ExcelCell(index = 4)
    private String quantity;

    /**
     * 是否明确单价，0:否 1:是
     */
    @TableField("is_clear_price")
    @ExcelCell(index = 5)
    private Integer clearPrice;

    /**
     * 销售单价
     */
    @TableField("sales_price")
    @ExcelCell(index = 6)
    private String salesPrice;

    /**
     * 备注
     */
    @TableField("remark")
    @ExcelCell(index = 7)
    private String remark;

    /**
     * 是否被占用 1 是 0 否
     */
    @TableField("occupy")
    private Integer occupy;

    public Long getcSalesContractBasicInfoId() {
        return cSalesContractBasicInfoId;
    }

    public void setcSalesContractBasicInfoId(Long cSalesContractBasicInfoId) {
        this.cSalesContractBasicInfoId = cSalesContractBasicInfoId;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGoodsFactory() {
        return goodsFactory;
    }

    public void setGoodsFactory(String goodsFactory) {
        this.goodsFactory = goodsFactory;
    }

    public String getModelNumber() {
        return modelNumber;
    }

    public void setModelNumber(String modelNumber) {
        this.modelNumber = modelNumber;
    }

    public String getUnits() {
        return units;
    }

    public void setUnits(String units) {
        this.units = units;
    }

    public String getQuantity() {
        return quantity;
    }

    public void setQuantity(String quantity) {
        this.quantity = quantity;
    }

    public Integer getClearPrice() {
        return clearPrice;
    }

    public void setClearPrice(Integer clearPrice) {
        this.clearPrice = clearPrice;
    }

    public String getSalesPrice() {
        return salesPrice;
    }

    public void setSalesPrice(String salesPrice) {
        this.salesPrice = salesPrice;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getOccupy() {
        return occupy;
    }

    public void setOccupy(Integer occupy) {
        this.occupy = occupy;
    }

    @Override
    public String toString() {
        return "CSalesContractGoodsInfo{" +
                ", goodsName=" + goodsName +
                ", goodsFactory=" + goodsFactory +
                ", modelNumber=" + modelNumber +
                ", units=" + units +
                ", quantity=" + quantity +
                ", salesPrice=" + salesPrice +
                ", remark=" + remark +
                "}";
    }
}
